Linked Questions

0
votes
1answer
3k views

Python module installation does not work

For some of my python scrips i need additional modules like pytables. I followed the instructions here, but nothing worked for me: first I set the PATH and ...
3
votes
0answers
325 views

How to write a YAML file with a Blender Python script [duplicate]

I need to write a script that runs on Blender (2.72) and writes a YAML file containing the results. In normal python I would use PyYAML and write something like: <...
2
votes
0answers
708 views

How do you use your system's Python with Blender?

As the title sais; I'd like to use my system's Python with Blender, instead of the internal one, but after searching for ~30 minutes I still couldn't find a way how, or at least not in words I ...
2
votes
0answers
2k views

Importing Scipy: “cannot import name oldnumeric”

I have Blender 2.69 for Linux 64bit (using Ubuntu 13.10). I followed the method detailed by @BNewmark to get SciPy working with Blender. I already had SciPy (version 0.13.2) for Python 3 installed ...
1
vote
0answers
30 views

Find armature pose from shape key?

I'm curious if there's a way to find the corresponding armature pose from a shape key?
1
vote
0answers
973 views

Using Blender GIS gives error: no imaging library available please install python GDAL or Pillow module

I am trying to use Blender GIS from this Repo: https://github.com/domlysz/BlenderGIS I have installed it properly and it is running in my Blender 2.79 on a MAC OS X 10.13.1 High Sierra. When I ...
0
votes
0answers
16 views

Error message in console “Not using Numba! The simulation could be slow!”

I installed the Tissue add-on, and Numba at the same time. But now when I try to run the reaction-diffusion option in Tissue, it runs really slow (1.6 fps) and I get the error message in the console: &...
0
votes
0answers
60 views

How to examine a collada file loaded in blender ? (Python)

By doing various tests and using bpy.ops.wm.collada_import(), there are compatibility problems between some software with the ...
0
votes
0answers
52 views

Compiling Blender to use system Python

Context: I'm using Ubuntu 19.10 for the moment and the default repository Blender package use the system's Python 3 which is very convenient because I can use my Python modules in my Blender Scripts ...
0
votes
0answers
224 views

Import pymesh issue

I want to use the pymesh library inside Blender because I think it could be fun to play with the functions of pymesh and model in blender in the same time. But I am having some problem... I managed ...
0
votes
0answers
141 views

Install pip in blender 2.78 SSLError

I've just downloaded Blender 2.78 (from here). I would like to install scipy. Therefor, I want to install pip using get-pip.py. I've downloaded the file and executed it as follows: ...
0
votes
0answers
186 views

How to import odeint python module from scipy into blender

I need to import odeint module from scipy.integrate in Blender. I successfully imported scipy...
0
votes
0answers
471 views

How to add matplotlib from python3.6 to Blender? [duplicate]

In Window, I installed python3.6 and, installed matplotlib by commandline: pip install matplotlib After installation, I was running matplotlib in python console, ...
0
votes
0answers
89 views

Need easy method to make SciPy available in my scripts [duplicate]

Thanks for taking notice, but in my original question I stated (I have put the operative part in bold font): "I would like to use SciPy special functions in Blender scripts, e.g: ...
0
votes
0answers
834 views

How to change the python version in blender [duplicate]

I'm using Blender 2.71 and it comes with Python 3.4.0 even though the most recent version is 3.4.1. Is there any way to change this?

15 30 50 per page